import Vue from 'vue'
// 导入自己需要的组件
import { Container,Header,Aside,Main,Footer,Select, Dialog,Option, OptionGroup, Input, Tree, Row, Col,Button,
  Menu,
  Submenu,
  MenuItem,
  MenuItemGroup,
  Tooltip,
  Breadcrumb,
  BreadcrumbItem,
  Card,
  Switch,
  Table,
  TableColumn,
  DatePicker,
  Pagination,
  MessageBox,
  Message,
  Icon,
  Dropdown,
  DropdownMenu,
  DropdownItem,
  Badge,
  Alert,
  Form,
  FormItem,
  Radio,
  RadioGroup,
  Tabs,
  TabPane,
  Progress,
  Slider,
  Carousel,
  CarouselItem, 
  TimeSelect,
  TimePicker,
  Upload,
  Cascader,
  Popover,
  Checkbox,
  PageHeader,
  CheckboxGroup,
  Image,
  Collapse,
  Divider,
  Loading,
  CollapseItem} from 'element-ui'
// const element = {
  // install: function (Vue) {
    
    Vue.use(Container)
    Vue.use(Header)
    Vue.use(Aside)
    Vue.use(Main)
    Vue.use(Footer)
    Vue.use(Select)
    Vue.use(Option)
    Vue.use(OptionGroup)
    Vue.use(Input)
    Vue.use(Tree)
    Vue.use(Dialog)
    Vue.use(Row)
    Vue.use(Col)
    Vue.use(Button)
    Vue.use(Menu);
    Vue.use(Submenu);
    Vue.use(MenuItem);
    Vue.use(MenuItemGroup);
    Vue.use(Tooltip);
    Vue.use(Breadcrumb);
    Vue.use(BreadcrumbItem);
    Vue.use(Card);
    Vue.use(Switch);
    Vue.use(Table);
    Vue.use(TableColumn);
    Vue.use(DatePicker);
    Vue.use(Pagination);
    Vue.use(Icon);
    Vue.use(Dropdown);
    Vue.use(DropdownMenu);
    Vue.use(DropdownItem);
    Vue.use(Badge);
    Vue.use(Alert);
    Vue.use(Dialog);
    Vue.use(Form);
    Vue.use(FormItem);
    Vue.use(Radio);
    Vue.use(RadioGroup);
    Vue.use(Tabs);
    Vue.use(TabPane);
    Vue.use(Progress);
    Vue.use(Slider);
    Vue.use(Carousel);
    Vue.use(CarouselItem);
    Vue.use(TimeSelect);
    Vue.use(TimePicker);
    Vue.use(Upload);
    Vue.use(Cascader);
    Vue.use(Popover);
    Vue.use(Checkbox);
    Vue.use(PageHeader);
    Vue.use(CheckboxGroup);
    Vue.use(Image);
    Vue.use(Collapse);
    Vue.use(CollapseItem);
    Vue.use(Divider);
    Vue.use(Loading);
    Vue.prototype.$msgbox = MessageBox;
    Vue.prototype.$alert = MessageBox.alert;
    Vue.prototype.$confirm = MessageBox.confirm;
    Vue.prototype.$prompt = MessageBox.prompt;
    Vue.prototype.$message = Message;
  // }
// }
// export default element